Bug 57786 - Gives erroneous info for large disks (>250GB)
Gives erroneous info for large disks (>250GB)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
All Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-22 16:47 EST by David A. Lethe
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David A. Lethe 2001-12-22 16:47:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; T312461)

Description of problem:
I have a mounted filesystem which is 249GB. diskcheck keeps giving me 
messages saying it is full, when it quite empty. I also noticed that the 
df utility reports the size as being a negative number of blocks, and 101% 
used. Actually the only thing in the filesystem is lost+found.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a partition >250GB.
2. fsck as ext2 filesystem
3. mount it.
	

Actual Results:  results of df -h
[root@sgilinux setiathome-3.03.i686-pc-linux-gnu-gnulibc2.1]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/rd/c0d0p2        8.8G  3.1G  5.2G  37% /
/dev/rd/c0d0p1         45M   26M   18M  59% /boot
none                  250M     0  250M   0% /dev/shm
/dev/rd/c0d1           41G  1.5G   38G   4% /raid
/dev/sdb1             237G  -64Z  235G 101% /goshawk


Expected Results:  /dev/sdb1 entry should say 237G and maybe 2GB used, 0%.


Additional info:

I didn't check to see at what point the O/S starts overflowing the 
filesystem. Obviously several programs have the same problem.  I am 
running RH 7.2, with all patches installed as of 12/22/01.
Comment 1 David A. Lethe 2002-01-04 00:38:09 EST
I really can't use a filesystem on this disk because the O/S sends me annoying 
messages about running out of space on the filesystem.
Comment 2 Harald Hoyer 2002-01-04 08:29:10 EST
diskcheck uses
list = os.popen("df -hP -x none -x tmpfs -x iso9660 %s" % ignore).readlines()
therefore I assign this bug to the 'df' rpm, fileutils.

Also note that there is a diskcheck errata available:
http://www.redhat.com/support/errata/RHBA-2001-152.html
Comment 3 Harald Hoyer 2002-01-04 08:35:11 EST
Hmmm... no problem so far..
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda2             1.9G  1.3G  628M  67% /
/dev/sdc1             296G  162G  134G  55% /mnt/raid
/dev/sdb1             171G   26G  145G  16% /mnt/stgt
Comment 4 Bernhard Rosenkraenzer 2002-01-04 11:46:38 EST
Which disk controller are you using?
Comment 5 David A. Lethe 2002-01-04 11:57:20 EST
I am using a Q-Logic qla2200 HBA (this is a fibre channel controller), with the 
qla2x00.o driver, revision level 4.28. I verified that this is the current 
driver.

See results of df with -hP your parameters below. 
[root@sgilinux xcam]# df -hP -x none
Filesystem            Size  Used Avail Use% Mounted on
/dev/rd/c0d0p2        8.9G  3.1G  5.3G      37% /
/dev/rd/c0d0p1         46M   28M   17M      63% /boot
none                  251M     0  251M       0% /dev/shm
/dev/rd/c0d1           41G  1.5G   39G       4% /raid
/dev/sdd1             238G  -64Z  236G     101% /goshawk
[root@sgilinux xcam]# ls -l /goshawk
total 16
drwxr-xr-x    2 root     root        16384 Dec 21 13:27 lost+found
[root@sgilinux xcam]# du /goshawk
16      /goshawk/lost+found
20      /goshawk
[root@sgilinux xcam]#
Comment 6 Bernhard Rosenkraenzer 2002-01-04 12:04:52 EST
Since I can't reproduce it on an IDE raid system and don't see any obvious bugs
in fileutils code, I believe it's a driver issue, reassigning.
Comment 7 Arjan van de Ven 2002-01-04 12:12:57 EST
[root@host136 qla2x00]# df -h
/dev/md0              117G  2.3G  108G   3% /mnt/fiber


250Gb would go over 32 bit blocks; maybe fileutils is using a 32 bit value
intermediate ?

(I don't have more disks than 117G unfortionatly)
Comment 8 David A. Lethe 2002-01-04 12:22:19 EST
A clue ... I blew away the single partition, and fdisk'd the entire device. 
Things now work properly (see below). Maybe problem is caused by partitioning.

[root@sgilinux xcam]# /sbin/mkfs /dev/sdd
mke2fs 1.23, 15-Aug-2001 for EXT2 FS 0.5b, 95/08/09
/dev/sdd is entire device, not just one partition!
Proceed anyway? (y,n) y
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
31653888 inodes, 63293440 blocks
3164672 blocks (5.00%) reserved for the super user
First data block=0
1932 block groups
32768 blocks per group, 32768 fragments per group
16384 inodes per group
Superblock backups stored on blocks:
        32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208,
        4096000, 7962624, 11239424, 20480000, 23887872

Writing inode tables: done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 30 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
[root@sgilinux xcam]# mount /dev/sdd /goshawk
[root@sgilinux xcam]# df -v
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/rd/c0d0p2         9242464   3241212   5531756  37% /
/dev/rd/c0d0p1           46636     27739     16489  63% /boot
none                    256440         0    256440   0% /dev/shm
/dev/rd/c0d1          42595860   1522484  40640624   4% /raid
/dev/sdd             249200548        20 236541840   1% /goshawk
Comment 9 Bugzilla owner 2004-09-30 11:39:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.